# Uses of Class
org.springframework.validation.ObjectError

Packages that use ObjectError
Package
Description
org.springframework.validation
Provides data binding and validation functionality, for usage in business and/or UI layers.
org.springframework.validation.method
Abstractions and support classes for method validation, independent of the underlying validation library.

## Uses of ObjectError in org.springframework.validation

Subclasses of ObjectError in org.springframework.validation
Modifier and Type
Class
Description
`class`
`FieldError`
Encapsulates a field error, that is, a reason for rejecting a specific field value.
Methods in org.springframework.validation that return ObjectError
Modifier and Type
Method
Description
`ObjectError`
AbstractBindingResult.`getGlobalError()`
`ObjectError`
BindException.`getGlobalError()`
`default ObjectError`
Errors.`getGlobalError()`
Get the first global error, if any.
Methods in org.springframework.validation that return types with arguments of type ObjectError
Modifier and Type
Method
Description
`List<ObjectError>`
AbstractBindingResult.`getAllErrors()`
`List<ObjectError>`
BindException.`getAllErrors()`
`default List<ObjectError>`
Errors.`getAllErrors()`
Get all errors, both global and field ones.
`List<ObjectError>`
AbstractBindingResult.`getGlobalErrors()`
`List<ObjectError>`
BindException.`getGlobalErrors()`
`List<ObjectError>`
Errors.`getGlobalErrors()`
Get all global errors.
`List<ObjectError>`
SimpleErrors.`getGlobalErrors()`
Methods in org.springframework.validation with parameters of type ObjectError
Modifier and Type
Method
Description
`void`
AbstractBindingResult.`addError(ObjectError error)`
`void`
BindException.`addError(ObjectError error)`
`void`
BindingResult.`addError(ObjectError error)`
Add a custom `ObjectError` or `FieldError` to the errors list.

## Uses of ObjectError in org.springframework.validation.method

Methods in org.springframework.validation.method that return ObjectError
Modifier and Type
Method
Description
`ObjectError`
ParameterErrors.`getGlobalError()`
Methods in org.springframework.validation.method that return types with arguments of type ObjectError
Modifier and Type
Method
Description
`List<ObjectError>`
ParameterErrors.`getAllErrors()`
`List<ObjectError>`
ParameterErrors.`getGlobalErrors()`